> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove imported broadcast recipients

> Remove imported contacts from a broadcast's audience. Omit contact_ids to remove all of them.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json delete /orgs/{org_id}/broadcasts/{broadcast_id}/recipients/import
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
tags:
  - name: Inbox
  - name: Chats
  - name: Messages
  - name: Contacts
  - name: Custom channels
  - name: Segments
  - name: Suppressions
  - name: Assistants
  - name: Agents
  - name: Skills
  - name: Knowledge
  - name: AI
  - name: Broadcasts
  - name: Email sending
  - name: WhatsApp
  - name: WhatsApp Meta agent
  - name: Tables
  - name: Records
  - name: Views
  - name: Pages
  - name: Connections
  - name: Workspace
  - name: Sub-organizations
  - name: Analytics and logs
  - name: Workflows
paths:
  /orgs/{org_id}/broadcasts/{broadcast_id}/recipients/import:
    delete:
      tags:
        - Broadcasts
      summary: Remove imported broadcast recipients
      description: >-
        Remove imported contacts from a broadcast's audience. Omit contact_ids
        to remove all of them.
      parameters:
        - schema:
            type: string
          required: true
          description: Org ID
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          description: Broadcast ID
          name: broadcast_id
          in: path
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteBroadcastRecipientsSchema'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/DeleteBroadcastRecipientsSchema'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteBroadcastRecipientsResultSchema'
components:
  schemas:
    DeleteBroadcastRecipientsSchema:
      type: object
      properties:
        contact_ids:
          type: array
          items:
            type: string
          maxItems: 50000
          title: Contacts
          description: Only remove the pending recipients of these contacts (ctc_... ids).
      description: >-
        Schema for removing imported recipients; omit contact_ids to remove them
        all
    DeleteBroadcastRecipientsResultSchema:
      type: object
      properties:
        deleted_count:
          type: number
      required:
        - deleted_count
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````